<bugID>1029148<Summary>store "current search engine" configuration outside of prefs</Summary><Description>A common way to hijack searches is to override the browser.search.selecedEngine pref (e.g. by writing to the user's pref file, or dropping in a user.js file in the profile, or shipping an addon with a different value for that pref).

Since this is a high-value configuration option, it makes more sense to store this information outside of prefs (which are designed to be modular and overridden).

The requirements here are:
- remove all uses of browser.search.selectedEngine pref in Firefox. This probably involves adjusting the engineMetadataService to allow setting "global" metadata not tied to a particular engine, and then using that mechanism to store a selectedEngine attribute. 
- on migration to Firefox 33, migrate the value of that pref to the new storage (users should experience no change in selected engine as a result of this change)</Description></bugID>